<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/member.php';

date_default_timezone_set('Asia/Rangoon'); 
session_start();

$database = new Database();
$db = $database->getConnection();
 
$member = new Member($db);
$data = json_decode(file_get_contents("php://input"));
	
$member->city = $data->city;
$member->member_type = $data->member_type;
$member->member_discount = $data->member_discount;
$member->member_install_discount = $data->member_install_discount;
$member->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$member->entry_date_time = date("Y-m-d H:i:s");	

if($member->exist()){
	$arr = array(
		"message" => "duplicate"
	);
}else{
	if($member->create()){
		$arr = array(
			"message" => "created"
		);
	}else{
		$arr = array(
			"message" => "error"
		);
	}
}
echo json_encode($arr);
?>